using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    ///  SRM537
    /// </summary>
    [DataContract]
    [SugarTable("FJ_SRM523")]
    public class WCS_SRM523 : ISRM523
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public SrmAlarm1 Alarm1 { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public SrmAlarm2 Alarm2 { get; set; }

        [DataMember(Order = 2)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 3)]
        public new string Code { get; set; }
    }

    /// <summary>
    ///  SRM537
    /// </summary>
    [DataContract]
    [SugarTable("FJ_SRM523")]
    public class QuestDb_SRM523
    {
        public string Alarm { get; set; }

        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
